## python-smhi 1.0.19

=== requirements.txt ===
aiohttp
black
coverage
flake8
pyflakes
pylint
pytest
pytest-asyncio
pytest-cov
requests
requests-toolbelt

=== debian/changelog ===
python-smhi (1.0.19-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Jan 2025 11:45:28 -0600

python-smhi (1.0.18-3) unstable; urgency=medium

  * Skip tests that access network. (Closes: #1091486)
  * Drop python3-mock Build-Depends, not needed. (Closes: #1089742)
  * Update copyright year.
  * Simplify debian/rules.

 -- Edward Betts <edward@4angle.com>  Sat, 11 Jan 2025 16:01:59 -0600

python-smhi (1.0.18-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Thu, 12 Dec 2024 19:24:03 +0000

python-smhi (1.0.18-1) unstable; urgency=medium

  * Initial release. (Closes: #1089196)

 -- Edward Betts <edward@4angle.com>  Fri, 06 Dec 2024 15:32:55 +0000

=== debian/control ===
Source: python-smhi
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-coverage <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-requests <!nocheck>,
 python3-requests-toolbelt <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/joysoftware/pypi_smhi
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-smhi
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-smhi.git

Package: python3-smhi
Architecture: all
Depends:
 python3-aiohttp,
 ${misc:Depends},
 ${python3:Depends},
Description: Fetches weather forecast data from the Swedish weather institute
 This library interfaces with the Swedish Meteorological and Hydrological
 Institute (SMHI) web service to provide meteorological data. It connects to
 the SMHI API to retrieve weather forecasts and is particularly useful for
 fetching weather data for locations near Sweden. The library makes it easy to
 access detailed weather forecasts, pulled automatically at regular intervals,
 with information such as temperature, wind speed, and precipitation. Users can
 integrate this data into various applications to stay updated with current
 weather conditions.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-k "not test_smhi_integration_test and not test_smhi_async_integration_test and not test_smhi_async_get_forecast_integration2 and not test_async_error_from_api"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/joysoftware/pypi_smhi/tags .*/v?(\d\S+)\.tar\.gz
